# Uses of Interface
net.shibboleth.shared.cli.CommandLineArguments

Packages that use CommandLineArguments
Package
Description
net.shibboleth.shared.cli
Command line functionality.

## Uses of CommandLineArguments in net.shibboleth.shared.cli

Classes in net.shibboleth.shared.cli with type parameters of type CommandLineArguments
Modifier and Type
Class
Description
`class`
`AbstractCommandLine<T extends CommandLineArguments>`
A simple driver for a Spring-based CLI.
Classes in net.shibboleth.shared.cli that implement CommandLineArguments
Modifier and Type
Class
Description
`class`
`AbstractCommandLineArguments`
Command line arguments base class for the `AbstractCommandLine` class.
Methods in net.shibboleth.shared.cli with parameters of type CommandLineArguments
Modifier and Type
Method
Description
`String`
AbstractCommandLine.TerminalCodes.`code(CommandLineArguments args)`
Gets the relevant code for the enum value.